
OP mul, rdra, math, "rD:rH := rD * rA"
 decode_rdra
 lda #0
 sta 2,x
 sta 3,x
 beq _mac
OP mac, rdra, math, "rD:rH := rD * rA + rH"
 decode_rdra
_mac:
 lda 0,y
 sta zptemp
 lda 1,y
 sta zptemp+1
 ldy #16
 bne macEnter
: bcc :+
   clc
   lda zptemp
   adc 2,x
   sta 2,x
   lda zptemp+1
   adc 3,x
   sta 3,x
: ror 3,x
  ror 2,x
macEnter:
  ror 1,x
  ror 0,x
  dey
 bpl :--
 jmp mainLoop2

OP div, rdra, math, "rD := quotient, rH := remainder, of rD/rA."
 decode_rdra
 lda #0
 sta 2,x
 sta 3,x
 beq _div
OP ldiv, rdra, math, "rD := quotient, rH := remainder, of rD:rH/rA."
 decode_rdra
_div:
 lda 0,y    ; put rA (denominator) into zptemp
 sta zptemp
 lda 1,y
 sta zptemp+1
 ldy #16
 bne divEnter
: rol 2,x
  rol 3,x
divEnter:
  ; See if denominator is greater than the numhi
  sec
  lda 2,x
  sbc zptemp
  sta zptemp+2
  lda 3,x
  sbc zptemp+1
  bcc :+
   ; yes it was, so commit the subtraction and shift a 1-bit in
   sta 3,x
   lda zptemp+2
   sta 2,x
: rol 0,x
  rol 1,x
  dey
 bpl :--
 jmp mainLoop2
